Get asset details
curl --request GET \
--url https://v2.prod.halliday.xyz/assets \
--header 'Authorization: Bearer <token>'import requests
url = "https://v2.prod.halliday.xyz/assets"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://v2.prod.halliday.xyz/assets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"usd": {
"issuer": "USA",
"name": "United States Dollar",
"symbol": "USD",
"decimals": 2
},
"eur": {
"issuer": "ECB",
"name": "Euro",
"symbol": "EUR",
"decimals": 2
},
"ethereum:0x": {
"chain": "ethereum",
"address": "0x",
"name": "Ether",
"symbol": "ETH",
"decimals": 18,
"image_url": "https://coin-images.coingecko.com/coins/images/279/large/ethereum.png?1696501628"
}
}{
"errors": [
{
"kind": "other",
"message": "Invalid asset format. Expected format: 'chain:address' for tokens or currency code for fiats"
}
]
}{
"errors": [
{
"kind": "other",
"message": "Missing or invalid API key"
}
]
}{
"errors": [
{
"kind": "other",
"message": "API key does not have permission to access asset information"
}
]
}Assets
Get asset details
Get detailed information about specific assets including metadata, symbols, and chain information.
GET
/
assets
Get asset details
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
List of assets to get details for
Identifier in the token format ("chain:address") or fiat currency code ("USD")
Response
Asset details
- Option 1
- Option 2
Show child attributes
Show child attributes
⌘I

